task batch {
    String sample_id
    Array[File] tumor_bam
    Array[File] tumor_bai
    Array[File] normal_bam
    Array[File] normal_bai
    File bed
    File faidx
    File fasta
    File ref_flat
    File access_bed
    String docker
    String cluster_config
    String disk_size

    command <<<
        set -o pipefail
        set -e
        mkdir -p /cromwell_root/tmp/cnvkit
        cp ${sep=' ' normal_bai} /cromwell_root/tmp/cnvkit
        cp ${sep=' ' tumor_bai} /cromwell_root/tmp/cnvkit
        cp ${faidx} /cromwell_root/tmp/cnvkit
        cd /cromwell_root/tmp/cnvkit
        
        mkdir results
        cnvkit.py batch ${sep=' ' tumor_bam} --normal ${sep=' ' normal_bam} \
        --targets ${bed} --annotate ${ref_flat} \
        --fasta ${fasta} --access ${access_bed} \
        --output-reference ${sample_id}.reference.cnn --output-dir /cromwell_root/tmp/cnvkit/results/ \
        --diagram --scatter
    >>>

    runtime { 
        docker: docker
        cluster: cluster_config
        systemDisk: "cloud_ssd 40"
        dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
    }

    output {
        File reference_cnn = "${sample_id}.reference.cnn"
        Array[File] results = glob("/cromwell_root/tmp/cnvkit/results/*")
    }
}