import "./tasks/access.wdl" as access
import "./tasks/batch.wdl" as batch
import "./tasks/export.wdl" as export

workflow {{ project_name }} {	
    String sample_id
    Array[File] tumor_bam
    Array[File] tumor_bai
    Array[File] normal_bam
    Array[File] normal_bai
    File bed
	File faidx
	File fasta
    File ref_flat
    String docker
    String cluster_config
    String disk_size

    call access.access as access {
        input: 
        fasta = fasta,
        faidx = faidx,
        docker = docker,
        cluster_config = cluster_config,
        disk_size = disk_size
    }

    call batch.batch as batch {
        input: 
        sample_id = sample_id,
        fasta = fasta,
        faidx = faidx,
        ref_flat = ref_flat,
        tumor_bam = tumor_bam,
        tumor_bai = tumor_bai,
        normal_bam = normal_bam,
        normal_bai = normal_bai,
        bed = bed,
        access_bed = access.access_bed,
        docker = docker,
        cluster_config = cluster_config,
        disk_size = disk_size
    }

    call export.export as export {
        input:
        sample_id = sample_id,
        results = batch.results,
        docker = docker,
        cluster_config = cluster_config,
        disk_size = disk_size
    }
}